﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ScatterSeriesPlotArea
{
    public class DataPoint : INotifyPropertyChanged
    {
        private static Random _rnd = new Random();
        public event PropertyChangedEventHandler PropertyChanged;

        private int _x;
        private int _y;

        public int X
        {
            get { return _x; }
            set
            {
                _x = value;
                OnPropertyChanged("X");
            }
        }

        public int Y
        {
            get { return _y; }
            set
            {
                _y = value;
                OnPropertyChanged("Y");
            }
        }

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public static DataPoint NewPoint()
        {
            return new DataPoint() { X = _rnd.Next(10), Y = _rnd.Next(10) };
        }
    }
}
