﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ScatterSeriesPlotArea
{
    public class ScatterViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<DataPoint> _dataPoints;

        public event PropertyChangedEventHandler PropertyChanged;

        public ObservableCollection<DataPoint> DataPoints
        {
            get { return _dataPoints; }
            set
            {
                _dataPoints = value;
                OnPropertyChanged("DataPoints");
            }
        }

        public ScatterViewModel()
        {
            _dataPoints = new ObservableCollection<DataPoint>();
        }

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public void RefreshPoints()
        {
            DataPoints.Clear();
            for (int i = 0; i < 10; i++)
            {
                DataPoints.Add(DataPoint.NewPoint());
            }
        }
    }
}
